RewriteEngine On

# disable TRACK and TRACE http methods. 'RewriteEngine On' is required!
RewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)
RewriteRule .* - [F]
RewriteRule ^(.*)-(\d+).html$ preview.php?controller=pjListings&action=pjActionView&id=$2 [L,NC,QSA]
RewriteRule home$ preview.php?controller=pjListings&action=pjActionCars [L,NC,QSA]
RewriteRule login$ preview.php?controller=pjListings&action=pjActionLogin [L,NC,QSA]
RewriteRule register$ preview.php?controller=pjListings&action=pjActionRegister [L,NC,QSA]
RewriteRule search$ preview.php?controller=pjListings&action=pjActionSearch [L,NC,QSA]
RewriteRule compare$ preview.php?controller=pjListings&action=pjActionCompare [L,NC,QSA]

Options -Indexes
ServerSignature Off
<ifModule mod_headers.c>
	Header unset X-Powered-By
</ifModule>

<IfModule php5_module>
	php_value session.cookie_httponly true
</IfModule>